Use Calendly’s API v2 to authenticate your app’s users with OAuth and access Calendly data on their behalf. To get started, follow the steps below.Documentation Index
Fetch the complete documentation index at: https://calendly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
- Create a Calendly developer account to get started.
- To initiate the OAuth authorization flow, use your application’s
client_idand redirect your user to Get Authorization Code endpoint. Once the Calendly user grants access, their browser is redirected to your application’s specifiedredirect_uriand the Authorization Code is passed inside thecodequery parameter. Notes:- This URL must be requested using a web browser.
- The authorization code expires after 10 minutes.
Example Request URL:
https://auth.calendly.com/oauth/authorize?client_id=CLIENT_ID&response_type=code&redirect_uri=https://my.site.com/auth/calendlyExample Redirect URL:https://my.site.com/auth/calendly?code=f04281d639d8248435378b0365de7bd1f53bf452eda187d5f1e07ae7f04546d6
- To retrieve the access token, make a POST request to Get Access Token endpoint. Use it to access Calendly resources on behalf of an authenticated user.
Note:
- Access tokens expire after 2 hours.
- Use a refresh token to get a new access token.
- Refresh tokens don’t expire until they are used.
- To test the access token, make a call to the Get current user endpoint.